(function () {
  "use strict";
  /*[pan and well CSS scrolls]*/
  var pnls = document.querySelectorAll(".panel").length - 1,
    scdir,
    hold = false;
  let funcBoolean = {
    0: true,
    1: true,
    2: true,
    3: true,
    4: true,
    5: true,
    6: true,
    7: true,
  };
  let functions = {
    0: () => {},
    1: () => {},
    2: () => {},
    3: () => {},
    4: () => {},
    5: () => {},
    6: () => {
      if (funcBoolean[6]) {
        counterActive.onComput(
          counterActive,
          0,
          counterActive.options,
          0,
          $$(".counterActive .counterNumber").getAttribute("numberEnd")
        );
        counterCenter.onComput(
          counterCenter,
          0,
          counterCenter.options,
          0,
          $$(".counterCenter .counterNumber").getAttribute("numberEnd")
        );
        counterImployer.onComput(
          counterImployer,
          0,
          counterImployer.options,
          0,
          $$(".counterImployer .counterNumber").getAttribute("numberEnd")
        );
        counterCar.onComput(
          counterCar,
          0,
          counterCar.options,
          0,
          $$(".counterCar .counterNumber").getAttribute("numberEnd")
        );
        funcBoolean[6] = false;
      }
    },
    7: () => {},
  };

  let slide = 1;
  // ---------------------------------------------------------------------------------------- obj, slide - کد من
  function _scrollY(obj, slide) {
    // ---------------------------------------------------------------------------------------- کد من

    var slength,
      plength,
      pan,
      step = 100,
      vh = window.innerHeight / 100,
      vmin = Math.min(window.innerHeight, window.innerWidth) / 100;
    if (
      (this !== undefined && this.id === "well") ||
      (obj !== undefined && obj.id === "well")
    ) {
      pan = this || obj;
      plength = parseInt(pan.offsetHeight / vh);
    }
    if (pan === undefined) {
      return;
    }
    plength = plength || parseInt(pan.offsetHeight / vmin);
    slength = parseInt(pan.style.transform.replace("translateY(", ""));
    if (scdir === "up" && Math.abs(slength) < plength - plength / pnls) {
      slength = slength - step;
    } else if (scdir === "down" && slength < 0) {
      slength = slength + step;
    } else if (scdir === "top") {
      slength = 0;
    }
    if (hold === false && $$("html").getSize().x > 1024) {
      hold = true;
      // ---------------------------------------------------------------------------------------- کد من - ابتدای کد
      slide = slide === undefined ? (slength / step) * -1 : slide;
      // فانکشن مخصوص این اسلاید اجرا شود
      functions[slide]();
      if (slide === 0) {
        $$(".header.header2.header2NotResponsive").addClass("showHeader");
      } else {
        $$(".header.header2.header2NotResponsive").removeClass("showHeader");
      }
      slength = slide * step * -1;
      // ---------------------------------------------------------------------------------------- کد من - انتهای کد
      pan.style.transform = "translateY(" + slength + "vh)";
      setTimeout(function () {
        hold = false;
      }, 1000);
    }
    // // console.log(scdir + ':' + slength + ':' + plength + ':' + (plength - plength / pnls));
  }
  // ---------------------------------------------------------------------------------------- کد من  - کد دکمه های منو - ابتدای کد
  // *** دکمه فلش پایین ***
  $$(".scrollNext , .mous").forEach((element, index) => {
    element.onclick = () => {
      _scrollY(document.getElementById("well"), index);
    };
  });
  // *** منو ***
  $$("section").forEach((section) => {
    section.getElements(".scrollCircle").forEach((element, index) => {
      element.onclick = () => {
        _scrollY(document.getElementById("well"), index);
      };
    });
  });
  // *** فوتر ***
  $$("footer .scrollCircle").forEach((element, index) => {
    element.onclick = () => {
      _scrollY(document.getElementById("well"), index);
    };
  });
  let a = () => {
    counterActive.onComput(
      counterActive,
      counterActive.options.numberStart,
      counterActive.options
    );
    counterImployer.onComput(
      counterImployer,
      counterImployer.options.numberStart,
      counterImployer.options
    );
    counterCenter.onComput(
      counterCenter,
      counterCenter.options.numberStart,
      counterCenter.options
    );
    counterCar.onComput(
      counterCar,
      counterCar.options.numberStart,
      counterCar.options
    );
  };
  // ---------------------------------------------------------------------------------------- کد من - انتهای کد
  /*[swipe detection on touchscreen devices]*/
  function _swipe(obj) {
    // console.log(2);
    var swdir,
      sX,
      sY,
      dX,
      dY,
      threshold = 100,
      /*[min distance traveled to be considered swipe]*/
      slack = 50,
      /*[max distance allowed at the same time in perpendicular direction]*/
      alT = 500,
      /*[max time allowed to travel that distance]*/
      elT /*[elapsed time]*/,
      stT; /*[start time]*/
    obj.addEventListener(
      "touchstart",
      function (e) {
        // console.log(3);
        var tchs = e.changedTouches[0];
        swdir = "none";
        sX = tchs.pageX;
        sY = tchs.pageY;
        stT = new Date().getTime();
        //e.preventDefault();
        if (sY > windowInnerSize.y * 5) functions[6]();
      },
      false
    );

    obj.addEventListener(
      "touchmove",
      function (e) {
        // console.log(4);
        // ---------------------------------------------------------------------------------------- کد من - شرط ایجاد کد فقط زمانی استفاده میشود که تبلت نباشد - شروع کد
        if ($$("html").getSize().x > 1024)
          // ---------------------------------------------------------------------------------------- کد من - پایان کد
          e.preventDefault(); /*[prevent scrolling when inside DIV]*/
      },
      false
    );

    obj.addEventListener(
      "touchend",
      function (e) {
        // console.log(5);
        var tchs = e.changedTouches[0];
        dX = tchs.pageX - sX;
        dY = tchs.pageY - sY;
        elT = new Date().getTime() - stT;
        if (elT <= alT) {
          if (Math.abs(dX) >= threshold && Math.abs(dY) <= slack) {
            swdir = dX < 0 ? "left" : "right";
          } else if (Math.abs(dY) >= threshold && Math.abs(dX) <= slack) {
            swdir = dY < 0 ? "up" : "down";
          }
          if (obj.id === "well") {
            if (swdir === "up") {
              scdir = swdir;
              _scrollY(obj);
            } else if (
              swdir === "down" &&
              obj.style.transform !== "translateY(0)"
            ) {
              scdir = swdir;
              _scrollY(obj);
            }
            e.stopPropagation();
          }
        }
      },
      false
    );
  }
  /*[assignments]*/
  var well = document.getElementById("well");
  well.style.transform = "translateY(0)";
  well.addEventListener("wheel", function (e) {
    // console.log(6);
    if (e.deltaY < 0) {
      scdir = "down";
    }
    if (e.deltaY > 0) {
      scdir = "up";
    }
    e.stopPropagation();
  });
  well.addEventListener("wheel", _scrollY);
  _swipe(well);
  var tops = document.querySelectorAll(".top");
  for (var i = 0; i < tops.length; i++) {
    tops[i].addEventListener("click", function () {
      console.log(7);

      scdir = "top";
      _scrollY(well);
    });
  }
})();
